<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;
    use HasUUID;
    public $primaryKey = "uuid";

    public function images() {
        return $this->morphMany(Image::class, 'imageable');
    }

    public function categories() {
        return $this->belongsToMany(Category::class,'categories_products','product_uuid');
    }

    protected $fillable = [
        'name',
        'description',
        'images',
        'price',
        'categories'
    ];
}
